scala.sys

# BooleanProp

#### trait BooleanProp extends Prop[Boolean]

A few additional conveniences for Boolean properties.

Source
  BooleanProp.scala

Linear Supertypes
Prop[Boolean], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BooleanProp
2. Prop
3. AnyRef
4. Any

Implicitly

1. by booleanPropAsBoolean
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def clear(): Unit

   Removes the property from the underlying map.

   Removes the property from the underlying map.

   Definition Classes
     Prop

2. #### abstract def disable(): Unit

   Alter this property so that `value` will be false.

3. #### abstract def enable(): Unit

   Alter this property so that `value` will be true.

4. #### abstract def get: String

   Gets the current string value if any.

   Gets the current string value if any. Will not return null: use `isSet` to test for existence.

   returns

     the current string value if any, else the empty string

   Definition Classes
     Prop

5. #### abstract def isSet: Boolean

   True if the key exists in the properties map.

   True if the key exists in the properties map. Note that this is not sufficient for a Boolean property to be considered true.

   returns

     whether the map contains the key

   Definition Classes
     Prop

6. #### abstract def key: String

   The full name of the property, e.

   The full name of the property, e.g. "java.awt.headless".

   Definition Classes
     Prop

7. #### abstract def option: Option[Boolean]

   Some(value) if the property is set, None otherwise.

   Some(value) if the property is set, None otherwise.

   Definition Classes
     Prop

8. #### abstract def set(newValue: String): String

   Sets the property.

   Sets the property.

   newValue

     the new string value

   returns

     the old value, or null if it was unset.

   Definition Classes
     Prop

9. #### abstract def setValue[T1 >: Boolean](value: T1): Boolean

   Sets the property with a value of the represented type.

   Sets the property with a value of the represented type.

   Definition Classes
     Prop

10. #### abstract def toggle(): Unit

    Toggle the property between enabled and disabled states.

11. #### abstract def value: Boolean

    The semantics of value are determined at Prop creation.

    The semantics of value are determined at Prop creation. See methods `valueIsTrue` and `keyExists` in object BooleanProp for examples.

    returns

      true if the current String is considered true, false otherwise

    Definition Classes
      BooleanProp → Prop

12. #### abstract def zero: Boolean

    A value of type `T` for use when the property is unset.

    A value of type `T` for use when the property is unset. The default implementation delivers null for reference types and 0/0.0/false for non-reference types.

    Attributes
      protected
    Definition Classes
      Prop

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(x: Boolean): Boolean

   Compares two Boolean expressions and returns `true` if both of them evaluate to true.

   Compares two Boolean expressions and returns `true` if both of them evaluate to true.

   `a & b` returns `true` if and only if

   - `a` and `b` are `true`.
   Implicit information
     This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
   Definition Classes
     Boolean
   Note

     This method evaluates both `a` and `b`, even if the result is already determined after evaluating `a`.

5. #### def &&(x: Boolean): Boolean

   Compares two Boolean expressions and returns `true` if both of them evaluate to true.

   Compares two Boolean expressions and returns `true` if both of them evaluate to true.

   `a && b` returns `true` if and only if

   - `a` and `b` are `true`.
   Implicit information
     This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
   Definition Classes
     Boolean
   Note

     This method uses 'short-circuit' evaluation and behaves as if it was declared as `def &&(x: => Boolean): Boolean`. If `a` evaluates to `false`, `false` is returned without evaluating `b`.

6. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BooleanProp to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

7. #### def ->[B](y: B): (BooleanProp, B)

   Implicit information
     This member is added by an implicit conversion from BooleanProp to ArrowAssoc[BooleanProp] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

8. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

10. #### def ^(x: Boolean): Boolean

    Compares two Boolean expressions and returns `true` if they evaluate to a different value.

    Compares two Boolean expressions and returns `true` if they evaluate to a different value.

    `a ^ b`returns` true`if and only if``

    - `a` is `true` and `b` is `false` or
    - `a` is `false` and `b` is `true`.
    Implicit information
      This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
    Definition Classes
      Boolean

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def ensuring(cond: (BooleanProp) ⇒ Boolean, msg: ⇒ Any): BooleanProp

    Implicit information
      This member is added by an implicit conversion from BooleanProp to Ensuring[BooleanProp] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (BooleanProp) ⇒ Boolean): BooleanProp

    Implicit information
      This member is added by an implicit conversion from BooleanProp to Ensuring[BooleanProp] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): BooleanProp

    Implicit information
      This member is added by an implicit conversion from BooleanProp to Ensuring[BooleanProp] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): BooleanProp

    Implicit information
      This member is added by an implicit conversion from BooleanProp to Ensuring[BooleanProp] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

20. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from BooleanProp to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

22. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

26. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

29. #### def unary_!: Boolean

    Negates a Boolean expression.

    Negates a Boolean expression.

    - `!a` results in `false` if and only if `a` evaluates to `true` and - `!a` results in `true` if and only if `a` evaluates to `false`.

    returns

      the negated expression

    Implicit information
      This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
    Definition Classes
      Boolean

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def |(x: Boolean): Boolean

    Compares two Boolean expressions and returns `true` if one or both of them evaluate to true.

    Compares two Boolean expressions and returns `true` if one or both of them evaluate to true.

    `a | b` returns `true` if and only if

    - `a` is `true` or
    - `b` is `true` or
    - `a` and `b` are `true`.
    Implicit information
      This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
    Definition Classes
      Boolean
    Note

      This method evaluates both `a` and `b`, even if the result is already determined after evaluating `a`.

34. #### def ||(x: Boolean): Boolean

    Compares two Boolean expressions and returns `true` if one or both of them evaluate to true.

    Compares two Boolean expressions and returns `true` if one or both of them evaluate to true.

    `a || b` returns `true` if and only if

    - `a` is `true` or
    - `b` is `true` or
    - `a` and `b` are `true`.
    Implicit information
      This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
    Definition Classes
      Boolean
    Note

      This method uses 'short-circuit' evaluation and behaves as if it was declared as `def ||(x: => Boolean): Boolean`. If `a` evaluates to `true`, `true` is returned without evaluating `b`.

35. #### def →[B](y: B): (BooleanProp, B)

    Implicit information
      This member is added by an implicit conversion from BooleanProp to ArrowAssoc[BooleanProp] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def !=(x: Boolean): Boolean

   Compares two Boolean expressions and returns `true` if they evaluate to a different value.

   Compares two Boolean expressions and returns `true` if they evaluate to a different value.

   `a != b` returns `true` if and only if

   - `a` is `true` and `b` is `false` or
   - `a` is `false` and `b` is `true`.
   Implicit information
     This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (booleanProp: Boolean).!=(x)

   Definition Classes
     Boolean

2. #### def ==(x: Boolean): Boolean

   Compares two Boolean expressions and returns `true` if they evaluate to the same value.

   Compares two Boolean expressions and returns `true` if they evaluate to the same value.

   `a == b` returns `true` if and only if

   - `a` and `b` are `true` or
   - `a` and `b` are `false`.
   Implicit information
     This member is added by an implicit conversion from BooleanProp to Boolean performed by method booleanPropAsBoolean in scala.sys.BooleanProp.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (booleanProp: Boolean).==(x)

   Definition Classes
     Boolean

3. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from BooleanProp to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (booleanProp: StringAdd).self

   Definition Classes
     StringAdd

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from BooleanProp to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (booleanProp: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: BooleanProp

   Implicit information
     This member is added by an implicit conversion from BooleanProp to ArrowAssoc[BooleanProp] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (booleanProp: ArrowAssoc[BooleanProp]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: BooleanProp

   Implicit information
     This member is added by an implicit conversion from BooleanProp to Ensuring[BooleanProp] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (booleanProp: Ensuring[BooleanProp]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Prop[Boolean]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion booleanPropAsBoolean from BooleanProp to Boolean

### Inherited by implicit conversion any2stringadd from BooleanProp to StringAdd

### Inherited by implicit conversion any2stringfmt from BooleanProp to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from BooleanProp to ArrowAssoc[BooleanProp]

### Inherited by implicit conversion any2Ensuring from BooleanProp to Ensuring[BooleanProp]

### Ungrouped